Bug 126093 - OpenGL crashes on Voodoo 4 (tdfx driver)
Summary: OpenGL crashes on Voodoo 4 (tdfx driver)
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: Glide3   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-15 22:20 UTC by Esteban Xandri
Modified: 2015-11-05 11:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 17:48:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci (900 bytes, text/plain)
2004-06-15 22:23 UTC, Esteban Xandri
no flags Details
XF86Config file (3.15 KB, text/plain)
2004-06-15 22:24 UTC, Esteban Xandri
no flags Details

Description Esteban Xandri 2004-06-15 22:20:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
After an upgrade from FC1, all GL screensavers and games have stopped
working. Command glxinfo also segfaults.


Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-2 xorg-x11-Mesa-libGL-6.7.0-2 xorg-x11-Mesa-libGLU-6.7.0-2

How reproducible:
Always

Steps to Reproduce:
1. $ glxinfo
2. 
3.
    

Actual Results:  
name of display: :0.0
gd error (glide): gd error (glide): grSstSelect:  non-existent SSTgd
error (glide): grSstSelect:  non-existent SSTSegmentation fault

Additional info:

Comment 1 Esteban Xandri 2004-06-15 22:23:06 UTC
Created attachment 101176 [details]
Output of lspci

Comment 2 Esteban Xandri 2004-06-15 22:24:08 UTC
Created attachment 101177 [details]
XF86Config file

Comment 8 Alan Cox 2004-10-15 15:48:36 UTC
Please retest with FC3test3. That has some reworking on the tdfx
drivers and Glide library that ought to get it back working.



Note You need to log in before you can comment on or make changes to this bug.